summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2018-10-21 17:05:09 +0200
committerPacho Ramos <pacho@gentoo.org>2018-10-21 17:17:26 +0200
commitedca5a71f730e3c24b0704faeccb1b879c23e2be (patch)
treec716c1d03382a9e59a8ef168291bbecced7a5a0c /sci-biology
parentsys-apps/systemd-readahead: Fix build with glibc-2.27 (diff)
downloadgentoo-edca5a71f730e3c24b0704faeccb1b879c23e2be.tar.gz
gentoo-edca5a71f730e3c24b0704faeccb1b879c23e2be.tar.bz2
gentoo-edca5a71f730e3c24b0704faeccb1b879c23e2be.zip
sci-biology/allpathslg: Fix build with glibc-2.27
Closes: https://bugs.gentoo.org/647340 Signed-off-by: Pacho Ramos <pacho@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'sci-biology')
-rw-r--r--sci-biology/allpathslg/allpathslg-52488-r2.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/sci-biology/allpathslg/allpathslg-52488-r2.ebuild b/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
index 964904d6655..cc9498b65f7 100644
--- a/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
+++ b/sci-biology/allpathslg/allpathslg-52488-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -39,5 +39,8 @@ pkg_setup() {
src_prepare() {
default
+ # Fix building with glibc-2.27, bug #647340
+ sed -i -e 's/-mieee-fp//' configure.ac || die
+
eautoreconf
}